Bug 339901 - Segfault when rendering in VTK application
Segfault when rendering in VTK application
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 11:24 EDT by Joel Schaerer
Modified: 2008-06-17 02:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:41:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (42.81 KB, text/plain)
2007-10-23 03:30 EDT, Joel Schaerer
no flags Details

  None (edit)
Description Joel Schaerer 2007-10-19 11:24:07 EDT
Description of problem:

Small vtk program crashes when DRI is activated. I have tested on other machines
and it works, so the problem seems to be specifically with the driver. Also, the
problem seems to be new, since some code that worked before stopped working
sometime between 3 months ago and today.

Here is the C++ vtk code that causes the crash:

#include <vtkRenderWindow.h>
#include <iostream>
using namespace std;
int main(int argc,char * argv[])
{
    for (int i=0;i < 3;i++)
    {
        vtkRenderWindow * a = vtkRenderWindow::New();
        a->Render();
        a->Delete();
    }
} 

It crashes in Render() during the second iteration. I haven't been able to
reproduce the bug with simpler applications such as glxgears.

Here is the associated backtrace:

#0  0x00e1e080 in ?? ()
#1  0x003017e8 in ?? () from /usr/lib/libGL.so.1
#2  0x002fd2dd in ?? () from /usr/lib/libGL.so.1
#3  0x002fefca in glXChooseVisual () from /usr/lib/libGL.so.1
#4  0x0217885a in vtkXOpenGLRenderWindowTryForVisual () from
/usr/lib/libvtkRendering.so.5.0
#5  0x0217a740 in vtkXOpenGLRenderWindow::GetDesiredVisualInfo () from
/usr/lib/libvtkRendering.so.5.0
#6  0x0217af4d in vtkXOpenGLRenderWindow::WindowInitialize () from
/usr/lib/libvtkRendering.so.5.0
#7  0x02177819 in vtkXOpenGLRenderWindow::Initialize () from
/usr/lib/libvtkRendering.so.5.0
#8  0x02177909 in vtkXOpenGLRenderWindow::Start () from
/usr/lib/libvtkRendering.so.5.0
#9  0x020fd095 in vtkRenderWindow::DoStereoRender () from
/usr/lib/libvtkRendering.so.5.0
#10 0x020ff57d in vtkRenderWindow::DoFDRender () from
/usr/lib/libvtkRendering.so.5.0
#11 0x02100357 in vtkRenderWindow::DoAARender () from
/usr/lib/libvtkRendering.so.5.0
#12 0x020fe72b in vtkRenderWindow::Render () from /usr/lib/libvtkRendering.so.5.0
#13 0x02177ed4 in vtkXOpenGLRenderWindow::Render () from
/usr/lib/libvtkRendering.so.5.0
#14 0x0804892c in main () 


vtk version is vtk-5.0.3-18.2.fc7

Finally, here is the output of lspci on the concerned machine:

[schaerer@ouistiti vtk_basic]$ lspci
00:00.0 Host bridge: Intel Corporation 82845 845 (Brookdale) Chipset Host Bridge
(rev 04)
00:01.0 PCI bridge: Intel Corporation 82845 845 (Brookdale) Chipset AGP Bridge
(rev 04)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 42)
00:1f.0 ISA bridge: Intel Corporation 82801CAM ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801CAM IDE U100 Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801CA/CAM AC'97 Audio
Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R250 [Mobility
FireGL 9000] (rev 01)
02:04.0 Communication controller: Agere Systems LT WinModem (rev 02)
02:06.0 CardBus bridge: Texas Instruments PCI1410 PC card Cardbus Controller
(rev 02)
02:08.0 Ethernet controller: Intel Corporation 82801CAM (ICH3) PRO/100 VE (LOM)
Ethernet Controller (rev 42)
02:0e.0 USB Controller: NEC Corporation USB (rev 41)
02:0e.1 USB Controller: NEC Corporation USB (rev 41)
02:0e.2 USB Controller: NEC Corporation USB 2.0 (rev 02)
03:00.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC
(rev 01)


Version-Release number of selected component (if applicable):

[schaerer@ouistiti vtk_basic]$ rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.6.3-4.fc7


How reproducible:

always

Steps to Reproduce:
1. compile small vtk program
2. run
3. watch segfault
Comment 1 Joel Schaerer 2007-10-19 11:24:44 EDT
Just a precision: the program works like a charm if I comment out the DRI line
in xorg.conf.
Comment 2 Matěj Cepl 2007-10-22 12:59:48 EDT
Can we get your /var/log/Xorg.0.log, please?
Comment 3 Joel Schaerer 2007-10-23 03:30:29 EDT
Created attachment 234831 [details]
Xorg log

here goes...
Comment 4 Joel Schaerer 2007-10-23 03:53:07 EDT
I've finally managed to install mesa-debuginfo... Here is what should be a more
helpful backtrace:

(gdb) bt
#0  0x00e1e080 in ?? ()
#1  0x003017e8 in __glXInitialize (dpy=0x9a5f278) at glxext.c:872
#2  0x002fd2dd in GetGLXPrivScreenConfig (dpy=0x9a5f278, scrn=0,
ppriv=0xbfecb378, ppsc=0xbfecb374) at glxcmds.c:137
#3  0x002fefca in glXChooseVisual (dpy=0x9a5f278, screen=0,
attribList=0x2251bc0) at glxcmds.c:1208
#4  0x0217885a in vtkXOpenGLRenderWindowTryForVisual () from
/usr/lib/libvtkRendering.so.5.0
#5  0x0217a740 in vtkXOpenGLRenderWindow::GetDesiredVisualInfo () from
/usr/lib/libvtkRendering.so.5.0
#6  0x0217af4d in vtkXOpenGLRenderWindow::WindowInitialize () from
/usr/lib/libvtkRendering.so.5.0
#7  0x02177819 in vtkXOpenGLRenderWindow::Initialize () from
/usr/lib/libvtkRendering.so.5.0
#8  0x02177909 in vtkXOpenGLRenderWindow::Start () from
/usr/lib/libvtkRendering.so.5.0
#9  0x020fd095 in vtkRenderWindow::DoStereoRender () from
/usr/lib/libvtkRendering.so.5.0
#10 0x020ff57d in vtkRenderWindow::DoFDRender () from
/usr/lib/libvtkRendering.so.5.0
#11 0x02100357 in vtkRenderWindow::DoAARender () from
/usr/lib/libvtkRendering.so.5.0
#12 0x020fe72b in vtkRenderWindow::Render () from /usr/lib/libvtkRendering.so.5.0
#13 0x02177ed4 in vtkXOpenGLRenderWindow::Render () from
/usr/lib/libvtkRendering.so.5.0
#14 0x08048a5c in main ()
Comment 5 Bug Zapper 2008-05-14 10:47:56 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 22:41:57 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Joel Schaerer 2008-06-17 02:26:30 EDT
Thanks for all the effort fixing this bug! (haha) Believe me this is the last
time I take the trouble to report a bug in fedora.

Note You need to log in before you can comment on or make changes to this bug.